Fetch an Additional Person Application
curl --request GET \
--url https://api.treasuryprime.com/apply/additional_person_application/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/apply/additional_person_application/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/apply/additional_person_application/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "acct_11fnfr2p45f96m",
"bankdata": {
"ip_address": "127.0.0.40"
},
"created_at": "2019-03-02T11:55:14Z",
"id": "aapa_01d5w7mvmwvy",
"person_application_id": "apsn_01d5w7mvmwvy",
"role": "owner",
"status": "pending",
"updated_at": "2019-03-02T11:55:14Z",
"userdata": null
}Additional Persons
Fetch an Additional Person Application
GET
/
apply
/
additional_person_application
/
{id}
Fetch an Additional Person Application
Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for the object
Response
200 - application/json
The apply.additional-person-application
ID of the Account to add an additional person. Filterable.
Arbitrary data attached to the object, for the bank's use
Unique identifier for the object
ID of the Person Application to associate with the Account. Filterable.
Role to use when associating the Person Application with the Account. Filterable.
Status of the additional person application. One of approved, error, pending, processing, rejected, manual_review. Filterable.
Arbitrary data the user can attach to the object
Was this page helpful?